// 1. Import the initial variables
@import "../../node_modules/bulma/sass/utilities/initial-variables";
@import "../../node_modules/bulma/sass/utilities/functions";
@import "./variables";

// Checkbox Bulma extension
$checkbox-border: 1px solid #818080;

// 3. Set the derived variables
// Use the new pink as the primary color
$primary: $brand-color;
$danger: $tomato-color;

// Tabs
$tabs-border-bottom-width: 0.0625rem;
$tabs-border-bottom-color: lightgrey;
$tabs-link-hover-border-bottom-color: $tomato-color;
$tabs-link-active-border-bottom-color: $tomato-color;
$tabs-link-hover-color: $tomato-color;
$tabs-link-active-color: $tomato-color;
$tabs-toggle-link-border-width: 5px;

// Navbar
$navbar-background-color: transparent;

// Use the new serif family
$family-primary: $family-sans-serif;
$pagination-current-background-color: transparent;
$pagination-current-border-color: $tomato-color;
$pagination-current-color: $tomato-color;

$modal-background-background-color: rgba($black, 0.4);

// Forms
$input-color: $brand-color;

// 6. Import the rest of Bulma
// We import only the files that we need.
@import "../../node_modules/bulma/sass/utilities/derived-variables.sass";
@import "../../node_modules/bulma/sass/utilities/animations.sass";
@import "../../node_modules/bulma/sass/utilities/mixins.sass";
@import "../../node_modules/bulma/sass/utilities/controls.sass";
@import "../../node_modules/bulma/sass/base/_all";
@import "../../node_modules/bulma/sass/elements/button.sass";
@import "../../node_modules/bulma/sass/elements/icon.sass";
@import "../../node_modules/bulma/sass/elements/title.sass";
@import "../../node_modules/bulma/sass/components/dropdown.sass";
@import "../../node_modules/bulma/sass/components/modal.sass";
@import "../../node_modules/bulma/sass/components/navbar.sass";
@import "../../node_modules/bulma/sass/grid/columns.sass";
@import "../../node_modules/bulma/sass/form/_all";
@import "../../node_modules/bulma/sass/layout/footer.sass";
